# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiRangeTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()
        
        self.addControl('input', label='输入')
        self.addControl('inputMin', label='输入最小值')
        self.addControl('inputMax', label='输入最大值')
        self.addControl('outputMin', label='输出最小值')
        self.addControl('outputMax', label='输出最大值')
        self.addControl('smoothstep', label='平滑级别')        
        
        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        self.endScrollLayout()
